--[[

ARL-LeatherWork.lua

LeatherWorking data for all of AckisRecipeList

]]--

ARL = AckisRecipeList
local L			= AceLibrary("AceLocale-2.2"):new("AckisRecipeList")
local BTS		= AceLibrary("Babble-Tradeskill-2.2")
local BFAC		= LibStub("LibBabble-Faction-3.0"):GetLookupTable()

function ARL:ARL_InitLeatherWorking()

	--local Version
	--if _G.GetSpellInfo then Version = "2.4" else Version = "2.3" end

	ARL:ARL_InitializeRecipeArray()

	-- Trainer Recipes
	ARL:addTradeSkillSpell(2149, 1, L["Trainer"])
	ARL:addTradeSkillSpell(2152, 1, L["Trainer"])
	ARL:addTradeSkillSpell(2881, 1, L["Trainer"])
	ARL:addTradeSkillSpell(7126, 1, L["Trainer"])
	ARL:addTradeSkillSpell(9058, 1, L["Trainer"])
	ARL:addTradeSkillSpell(9059, 1, L["Trainer"])
	ARL:addTradeSkillSpell(2153, 15, L["Trainer"])
	ARL:addTradeSkillSpell(3753, 25, L["Trainer"])
	ARL:addTradeSkillSpell(9060, 30, L["Trainer"])
	ARL:addTradeSkillSpell(9062, 30, L["Trainer"])
	ARL:addTradeSkillSpell(3816, 35, L["Trainer"])
	ARL:addTradeSkillSpell(2160, 40, L["Trainer"])
	ARL:addTradeSkillSpell(3756, 55, L["Trainer"])
	ARL:addTradeSkillSpell(2161, 55, L["Trainer"])
	ARL:addTradeSkillSpell(2162, 60, L["Trainer"])
	ARL:addTradeSkillSpell(3759, 75, L["Trainer"])
	ARL:addTradeSkillSpell(3763, 80, L["Trainer"])
	ARL:addTradeSkillSpell(2159, 85, L["Trainer"])
	ARL:addTradeSkillSpell(3761, 85, L["Trainer"])
	ARL:addTradeSkillSpell(9065, 70, L["Trainer"])
	ARL:addTradeSkillSpell(9068, 95, L["Trainer"])
	ARL:addTradeSkillSpell(3817, 100, L["Trainer"])
	ARL:addTradeSkillSpell(20648, 100, L["Trainer"])
	ARL:addTradeSkillSpell(2165, 100, L["Trainer"])
	ARL:addTradeSkillSpell(2167, 100, L["Trainer"])
	ARL:addTradeSkillSpell(2168, 110, L["Trainer"])
	ARL:addTradeSkillSpell(7135, 115, L["Trainer"])
	ARL:addTradeSkillSpell(9074, 120, L["Trainer"])
	ARL:addTradeSkillSpell(2166, 120, L["Trainer"])
	ARL:addTradeSkillSpell(3766, 125, L["Trainer"])
	ARL:addTradeSkillSpell(9145, 125, L["Trainer"])
	ARL:addTradeSkillSpell(3768, 130, L["Trainer"])
	ARL:addTradeSkillSpell(3770, 135, L["Trainer"])
	ARL:addTradeSkillSpell(3764, 145, L["Trainer"])
	ARL:addTradeSkillSpell(3760, 150, L["Trainer"])
	ARL:addTradeSkillSpell(3818, 150, L["Trainer"])
	ARL:addTradeSkillSpell(3780, 150, L["Trainer"])
	ARL:addTradeSkillSpell(9193, 150, L["Trainer"])
	ARL:addTradeSkillSpell(9194, 150, L["Trainer"])
	ARL:addTradeSkillSpell(20649, 150, L["Trainer"])
	ARL:addTradeSkillSpell(3774, 160, L["Trainer"])
	ARL:addTradeSkillSpell(7147, 160, L["Trainer"])
	ARL:addTradeSkillSpell(7151, 175, L["Trainer"])
	ARL:addTradeSkillSpell(9196, 175, L["Trainer"])
	ARL:addTradeSkillSpell(3776, 180, L["Trainer"])
	ARL:addTradeSkillSpell(9198, 180, L["Trainer"])
	ARL:addTradeSkillSpell(9201, 185, L["Trainer"])
	ARL:addTradeSkillSpell(6661, 190, L["Trainer"])
	ARL:addTradeSkillSpell(7156, 190, L["Trainer"])	
	ARL:addTradeSkillSpell(9206, 195, L["Trainer"])
	ARL:addTradeSkillSpell(10482, 200, L["Trainer"])
	ARL:addTradeSkillSpell(10487, 200, L["Trainer"])
	ARL:addTradeSkillSpell(20650, 200, L["Trainer"])
	ARL:addTradeSkillSpell(10499, 205, L["Trainer"])
	ARL:addTradeSkillSpell(10507, 205, L["Trainer"])
	ARL:addTradeSkillSpell(10511, 210, L["Trainer"])
	ARL:addTradeSkillSpell(10518, 210, L["Trainer"])
	ARL:addTradeSkillSpell(14930, 225, L["Trainer"])
	ARL:addTradeSkillSpell(14932, 225, L["Trainer"])
	ARL:addTradeSkillSpell(10619, 225, L["Trainer"])
	ARL:addTradeSkillSpell(10548, 230, L["Trainer"])
	ARL:addTradeSkillSpell(10552, 230, L["Trainer"])
	ARL:addTradeSkillSpell(10556, 235, L["Trainer"])
	ARL:addTradeSkillSpell(10558, 235, L["Trainer"])
	ARL:addTradeSkillSpell(19047, 250, L["Trainer"])
	ARL:addTradeSkillSpell(19058, 250, L["Trainer"])
	ARL:addTradeSkillSpell(22331, 250, L["Trainer"])
	ARL:addTradeSkillSpell(10650, 255, L["Trainer"])
	ARL:addTradeSkillSpell(19052, 265, L["Trainer"])
	ARL:addTradeSkillSpell(19065, 275, L["Trainer"])
	ARL:addTradeSkillSpell(19071, 280, L["Trainer"])
	ARL:addTradeSkillSpell(24655, 280, L["Trainer"])
	ARL:addTradeSkillSpell(19082, 290, L["Trainer"])
	ARL:addTradeSkillSpell(19092, 300, L["Trainer"])
	ARL:addTradeSkillSpell(19102, 300, L["Trainer"])
	ARL:addTradeSkillSpell(19098, 300, L["Trainer"])
	ARL:addTradeSkillSpell(19103, 300, L["Trainer"])
	ARL:addTradeSkillSpell(19107, 300, L["Trainer"])
	ARL:addTradeSkillSpell(32470, 300, L["Trainer"])
	ARL:addTradeSkill(BTS["Felscale Gloves"], 300, L["Trainer"])
	ARL:addTradeSkill(BTS["Knothide Armor Kit"], 300, L["Trainer"])
	ARL:addTradeSkill(BTS["Knothide Leather"], 300, L["Trainer"])
	ARL:addTradeSkill(BTS["Scaled Draenic Pants"], 300, L["Trainer"])
	ARL:addTradeSkill(BTS["Thick Draenic Pants"], 300, L["Trainer"])
	ARL:addTradeSkill(BTS["Wild Draenish Boots"], 300, L["Trainer"])
	ARL:addTradeSkill(BTS["Felscale Boots"], 310, L["Trainer"])
	ARL:addTradeSkill(BTS["Scaled Draenic Gloves"], 310, L["Trainer"])
	ARL:addTradeSkill(BTS["Wild Draenish Gloves"], 310, L["Trainer"])
	ARL:addTradeSkill(BTS["Thick Draenic Pants"], 315, L["Trainer"])
	ARL:addTradeSkill(BTS["Felscale Pants"], 320, L["Trainer"])
	ARL:addTradeSkill(BTS["Thick Draenic Boots"], 320, L["Trainer"])
	ARL:addTradeSkill(BTS["Wild Draenish Leggings"], 320, L["Trainer"])
	ARL:addTradeSkill(BTS["Scaled Draenic Vest"], 325, L["Trainer"])
	ARL:addTradeSkill(BTS["Thick Draenic Vest"], 330, L["Trainer"])
	ARL:addTradeSkill(BTS["Wild Draenish Vest"], 330, L["Trainer"])
	ARL:addTradeSkill(BTS["Felscale Breastplate"], 335, L["Trainer"])
	ARL:addTradeSkill(BTS["Scaled Draenic Boots"], 335, L["Trainer"])
	ARL:addTradeSkill(BTS["Drums of War"], 340, L["Trainer"])
	ARL:addTradeSkill(BTS["Knothide Quiver"], 345, L["Trainer"])
	ARL:addTradeSkill(BTS["Knothide Ammo Pouch"], 345, L["Trainer"])
	ARL:addTradeSkill(BTS["Leatherworker's Satchel"], 345, L["Trainer"])
	ARL:addTradeSkill(BTS["Heavy Knothide Armor Kit"], 350, L["Trainer"])
	ARL:addTradeSkill(BTS["Glove Reinforcements"], 375, L["Trainer"])

	-- Vendor Recipes
	ARL:addTradeSkillSpell(6702, 190, ARL:ARL_AddVendor({6, 7, 96}, false))
	ARL:addTradeSkillSpell(7953, 90, ARL:ARL_AddVendor({97}, false))
	ARL:addTradeSkillSpell(6703, 95, ARL:ARL_AddVendor({6, 7, 96}, false))
	ARL:addTradeSkillSpell(9070, 100, ARL:ARL_AddVendor({98}, false), {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(24940, 100, ARL:ARL_AddVendor({13}, false), {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(7954, 105, ARL:ARL_AddVendor({97}, false))
	ARL:addTradeSkillSpell(9072, 120, ARL:ARL_AddVendor({25}, false), {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(9146, 135, ARL:ARL_AddVendor({99}, false), {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(9147, 135, ARL:ARL_AddVendor({19}, false))
	ARL:addTradeSkillSpell(23190, 150, ARL:ARL_AddVendor({100, 101}, false))
	ARL:addTradeSkillSpell(3772, 155, ARL:ARL_AddVendor({102, 25}, false))
	ARL:addTradeSkillSpell(23399, 155, ARL:ARL_AddVendor({103, 104}, false))
	ARL:addTradeSkillSpell(4097, 165, ARL:ARL_AddVendor({107}, false), {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(4096, 165, ARL:ARL_AddVendor({108}, false), {BFAC["Horde"]})
	ARL:addTradeSkillSpell(6704, 170, ARL:ARL_AddVendor({109, 110, 29}, false))
	ARL:addTradeSkillSpell(7149, 170, ARL:ARL_AddVendor({111, 112, 113, 114}, false))
	ARL:addTradeSkillSpell(3778, 185, ARL:ARL_AddVendor({115}, false))
	ARL:addTradeSkillSpell(6705, 190, ARL:ARL_AddVendor({109, 116}, false))
	ARL:addTradeSkillSpell(9202, 190, ARL:ARL_AddVendor({103, 104, 105, 106}, false))
	ARL:addTradeSkillSpell(22711, 200, ARL:ARL_AddVendor({115}, false))
	ARL:addTradeSkillSpell(10509, 205, ARL:ARL_AddVendor({105, 106}, false))
	ARL:addTradeSkillSpell(10516, 210, ARL:ARL_AddVendor({105, 117}, false))
	ARL:addTradeSkillSpell(19048, 255, ARL:ARL_AddVendor({118}, false))
	ARL:addTradeSkillSpell(19049, 260, ARL:ARL_AddVendor({119, 120}, false))
	ARL:addTradeSkillSpell(19088, 295, ARL:ARL_AddVendor({118}, false))
	ARL:addTradeSkillSpell(19050, 260, ARL:ARL_AddVendor({121}, false))
	ARL:addTradeSkillSpell(19077, 285, ARL:ARL_AddVendor({122}, false))
	ARL:addTradeSkillSpell(19085, 290, ARL:ARL_AddVendor({123}, false))
	ARL:addTradeSkillSpell(19061, 270, ARL:ARL_AddVendor({105, 106}, false))
	ARL:addTradeSkillSpell(19067, 275, ARL:ARL_AddVendor({119, 120}, false))
	ARL:addTradeSkillSpell(19063, 265, ARL:ARL_AddVendor({122}, false))
	ARL:addTradeSkillSpell(19062, 270, ARL:ARL_AddVendor({124}, true))
	ARL:addTradeSkillSpell(19066, 275, ARL:ARL_AddVendor({53}, false))
	ARL:addTradeSkillSpell(19084, 290, ARL:ARL_AddVendor({125}, false))
	ARL:addTradeSkill(BTS["Comfortable Insoles"], 300, ARL:ARL_AddVendor({126, 127}, false))
	ARL:addTradeSkill(BTS["Heavy Knothide Leather"], 325, ARL:ARL_AddVendor({126, 127, 128}, false))
	ARL:addTradeSkill(BTS["Riding Crop"], 350, ARL:ARL_AddVendor({129}, false))

	-- World Drops
	ARL:addTradeSkillSpell(9064, 35, L["UWD"])
	ARL:addTradeSkillSpell(2163, 60, L["UWD"])
	ARL:addTradeSkillSpell(2164, 75, L["UWD"])
	ARL:addTradeSkillSpell(2158, 90, L["UWD"])
	ARL:addTradeSkillSpell(3762, 100, L["UWD"])
	ARL:addTradeSkillSpell(2169, 100, L["UWD"])
	ARL:addTradeSkillSpell(7133, 105, L["UWD"])
	ARL:addTradeSkillSpell(3765, 120, L["UWD"])
	ARL:addTradeSkillSpell(3767, 120, L["UWD"])
	ARL:addTradeSkillSpell(3769, 140, L["UWD"])
	ARL:addTradeSkillSpell(9148, 140, L["UWD"])
	ARL:addTradeSkillSpell(9149, 145, L["UWD"])
	ARL:addTradeSkillSpell(3771, 150, L["UWD"])
	ARL:addTradeSkillSpell(9195, 165, L["UWD"])
	ARL:addTradeSkillSpell(3775, 170, L["RWD"])
	ARL:addTradeSkillSpell(3773, 175, L["UWD"])
	ARL:addTradeSkillSpell(9197, 175, L["UWD"])
	ARL:addTradeSkillSpell(7153, 185, L["UWD"])
	ARL:addTradeSkillSpell(3777, 195, L["UWD"])
	ARL:addTradeSkillSpell(3779, 200, L["RWD"])
	ARL:addTradeSkillSpell(9206, 200, L["UWD"])
	ARL:addTradeSkillSpell(9208, 200, L["UWD"])
	ARL:addTradeSkillSpell(10490, 200, L["UWD"])
	ARL:addTradeSkillSpell(10520, 215, L["UWD"])
	ARL:addTradeSkillSpell(10531, 220, L["UWD"])
	ARL:addTradeSkillSpell(10560, 240, L["UWD"])
	ARL:addTradeSkillSpell(10562, 240, L["UWD"])
	ARL:addTradeSkillSpell(19055, 270, L["UWD"])
	ARL:addTradeSkillSpell(19064, 275, L["UWD"])
	ARL:addTradeSkillSpell(19070, 280, L["UWD"])
	ARL:addTradeSkillSpell(19072, 280, L["UWD"])
	ARL:addTradeSkillSpell(19083, 290, L["UWD"])
	ARL:addTradeSkillSpell(19091, 300, L["UWD"])
	ARL:addTradeSkillSpell(19063, 275, L["UWD"])
	ARL:addTradeSkillSpell(19073, 280, L["UWD"])
	ARL:addTradeSkillSpell(19081, 290, L["UWD"])
	ARL:addTradeSkill(BTS["Cobrascale Gloves"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Cobrascale Hood"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Earthen Netherscale Boots"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Gloves of the Living Touch"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Hood of Primal Life"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Living Dragonscale Helm"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Netherdrake Gloves"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Netherdrake Helm"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Thick Netherscale Breastplate"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Windslayer Wraps"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Windscale Hood"], 365, L["EWD"])
	ARL:addTradeSkill(BTS["Windstrike Gloves"], 365, L["EWD"])

	-- Specific Drops
	ARL:addTradeSkillSpell(5244, 40, L["Kodo Hide Bag Obt"], {BFAC["Horde"]})
	ARL:addTradeSkillSpell(8322, 90, L["Moonglow Vest Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(7955, 115, L["Deviate Scale Belt Obt"])
	ARL:addTradeSkillSpell(10525, 220, L["Tough Scorpid Breastplate Obt"])
	ARL:addTradeSkillSpell(10529, 220, L["Wild Leather Shoulders Obt"])
	ARL:addTradeSkillSpell(10533, 220, L["Tough Scorpid Bracers Obt"])
	ARL:addTradeSkillSpell(10542, 225, L["Tough Scorpid Gloves Obt"])
	ARL:addTradeSkillSpell(10544, 225, L["Wild Leather Vest Obt"])
	ARL:addTradeSkillSpell(10546, 225, L["Wild Leather Helmet Obt"])
	ARL:addTradeSkillSpell(10554, 235, L["Tough Scorpid Boots Obt"])
	ARL:addTradeSkillSpell(10564, 240, L["Tough Scorpid Shoulders Obt"])
	ARL:addTradeSkillSpell(10566, 245, L["Wild Leather Boots Obt"])
	ARL:addTradeSkillSpell(10568, 245, L["Tough Scorpid Leggings Obt"])
	ARL:addTradeSkillSpell(10570, 250, L["Tough Scorpid Helm Obt"])
	ARL:addTradeSkillSpell(10572, 250, L["Wild Leather Leggings Obt"])
	ARL:addTradeSkillSpell(10574, 250, L["Wild Leather Cloak Obt"])
	ARL:addTradeSkillSpell(19051, 265, L["Heavy Scorpid Vest Obt"])
	ARL:addTradeSkillSpell(19075, 285, L["Heavy Scorpid Leggings Obt"])
	ARL:addTradeSkillSpell(19100, 300, L["Heavy Scorpid Shoulders Obt"])
	ARL:addTradeSkillSpell(22921, 300, L["DMCACHE"])
	ARL:addTradeSkillSpell(22922, 300, L["DMCACHE"])
	ARL:addTradeSkillSpell(22923, 300, L["DMCACHE"])
	ARL:addTradeSkillSpell(22815, 300, L["Gordok Ogre Suit Obt"])
	ARL:addTradeSkillSpell(19060, 270, L["Green Dragonscale Leggings Obt"])
	ARL:addTradeSkillSpell(19093, 295, L["Blue Dragonscale Shoulders Obt"])
	ARL:addTradeSkillSpell(19054, 300, L["Red Dragonscale Breastplate Obt"])
	ARL:addTradeSkillSpell(19107, 300, L["Black Dragonscale Leggings Obt"])
	ARL:addTradeSkillSpell(19094, 300, L["Black Dragonscale Shoulders Obt"])
	ARL:addTradeSkillSpell(22926, 300, L["DMCACHE"])
	ARL:addTradeSkillSpell(19059, 270, L["Volcanic Leggings Obt"])
	ARL:addTradeSkillSpell(19076, 285, L["Volcanic Breastplate Obt"])
	ARL:addTradeSkillSpell(19078, 285, L["Living Leggings Obt"])
	ARL:addTradeSkillSpell(19079, 285, L["Stormshroud Armor Obt"])
	ARL:addTradeSkillSpell(19090, 295, L["Stormshroud Shoulders Obt"])
	ARL:addTradeSkillSpell(26279, 300, L["Stormshroud Gloves Obt"])
	ARL:addTradeSkillSpell(19095, 300, L["Living Breastplate Obt"])
	ARL:addTradeSkillSpell(19101, 300, L["Volcanic Shoulders Obt"])
	ARL:addTradeSkillSpell(22928, 300, L["DMCACHE"])
	ARL:addTradeSkillSpell(19074, 285, L["Frostsaber Leggings Obt"])
	ARL:addTradeSkillSpell(19086, 290, L["Ironfeather Breastplate Obt"])
	ARL:addTradeSkillSpell(19087, 295, L["Frostsaber Gloves Obt"])
	ARL:addTradeSkillSpell(19097, 300, L["Devilsaur Leggings Obt"])
	ARL:addTradeSkillSpell(19104, 300, L["Frostsaber Tunic Obt"])
	ARL:addTradeSkillSpell(22927, 300, L["DMCACHE"])
	ARL:addTradeSkill(BTS["Shadow Armor Kit"], 340, L["Shadow Armor Kit Obt"])
	ARL:addTradeSkill(BTS["Flame Armor Kit"], 340, L["Flame Armor Kit Obt"])
	ARL:addTradeSkill(BTS["Nature Armor Kit"], 340, L["Nature Armor Kit Obt"])
	ARL:addTradeSkill(BTS["Arcane Armor Kit"], 340, L["Arcane Armor Kit Obt"])
	ARL:addTradeSkill(BTS["Frost Armor Kit"], 340, L["Frost Armor Kit Obt"])
	ARL:addTradeSkill(BTS["Stylin' Purple Hat"], 350, L["Stylin' Purple Hat Obt"])
	ARL:addTradeSkill(BTS["Stylin' Adventure Hat"], 350, L["Stylin' Adventure Hat Obt"])
	ARL:addTradeSkill(BTS["Stylin' Jungle Hat"], 350, L["Stylin' Jungle Hat Obt"])
	ARL:addTradeSkill(BTS["Stylin' Crimson Hat"], 350, L["Stylin' Crimson Hat Obt"])
	ARL:addTradeSkill(BTS["Bag of Many Hides"], 360, L["Bag of Many Hides Obt"])

	-- Seasonal
	ARL:addTradeSkillSpell(21943, 190, L["WintersVeil"], {L["Seasonal"]})
	ARL:addTradeSkillSpell(44953, 285, L["WintersVeil"], {L["Seasonal"]})

	-- Reputations
	ARL:addTradeSkillSpell(23703, 290, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Timbermaw Hold"]), {BFAC["Timbermaw Hold"]})
	ARL:addTradeSkillSpell(23705, 290, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"]})
	ARL:addTradeSkillSpell(23704, 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Timbermaw Hold"]), {BFAC["Timbermaw Hold"]})
	ARL:addTradeSkillSpell(23706, 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"]})
	ARL:addTradeSkillSpell(23707, 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkillSpell(24124, 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkillSpell(24125, 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkillSpell(24123, 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkillSpell(24122, 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkillSpell(24121, 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkillSpell(24846, 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkillSpell(24847, 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkillSpell(24848, 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkillSpell(24849, 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkillSpell(24850, 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkillSpell(24851, 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkillSpell(28224, 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"], L["Raid"]})
	ARL:addTradeSkillSpell(28222, 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"], L["Raid"]})
	ARL:addTradeSkillSpell(28223, 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"], L["Raid"]})
	ARL:addTradeSkillSpell(28221, 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"], L["Raid"]})
	ARL:addTradeSkillSpell(28220, 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"], L["Raid"]})
	ARL:addTradeSkillSpell(28219, 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"], L["Raid"]})
	ARL:addTradeSkillSpell(28474, 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkillSpell(28473, 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkillSpell(28472, 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkillSpell(20855, 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkillSpell(23708, 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkillSpell(24703, 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkillSpell(20854, 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkillSpell(23710, 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkillSpell(19068, 275, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Timbermaw Hold"]), {BFAC["Timbermaw Hold"]})
	ARL:addTradeSkillSpell(19080, 285, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Timbermaw Hold"]), {BFAC["Timbermaw Hold"]})
	ARL:addTradeSkillSpell(20853, 295, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkillSpell(23709, 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Vindicator's Armor Kit"], 325, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Magister's Armor Kit"], 325, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	ARL:addTradeSkill(BTS["Reinforced Mining Bag"], 325, ARL:ARL_AddReputation2(BFAC["Honored"], BFAC["Kurenai"], BFAC["The Mag'har"]), {BFAC["The Mag'har"]})
	ARL:addTradeSkill(BTS["Cobrahide Leg Armor"], 335, ARL:ARL_AddReputation2(BFAC["Honored"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
	ARL:addTradeSkill(BTS["Clefthide Leg Armor"], 335, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill(BTS["Fel Leather Gloves"], 340, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Netherfury Belt"], 340, ARL:ARL_AddReputation2(BFAC["Friendly"], BFAC["Kurenai"], BFAC["The Mag'har"]), {BFAC["The Mag'har"]})
	ARL:addTradeSkill(BTS["Netherfury Leggings"], 340, ARL:ARL_AddReputation2(BFAC["Honored"], BFAC["Kurenai"], BFAC["The Mag'har"]), {BFAC["The Mag'har"]})
	ARL:addTradeSkill(BTS["Drums of Speed"], 345, ARL:ARL_AddReputation2(BFAC["Honored"], BFAC["Kurenai"], BFAC["The Mag'har"]), {BFAC["The Mag'har"]})
	ARL:addTradeSkill(BTS["Fel Leather Boots"], 350, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Fel Leather Leggings"], 350, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Felstalker Belt"], 350, ARL:ARL_AddReputation2(BFAC["Friendly"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
	ARL:addTradeSkill(BTS["Netherfury Boots"], 350, ARL:ARL_AddReputation2(BFAC["Revered"], BFAC["Kurenai"], BFAC["The Mag'har"]), {BFAC["The Mag'har"]})
	ARL:addTradeSkill(BTS["Enchanted Felscale Boots"], 350, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	ARL:addTradeSkill(BTS["Enchanted Felscale Gloves"], 350, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	ARL:addTradeSkill(BTS["Enchanted Felscale Leggings"], 350, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	ARL:addTradeSkill(BTS["Flamescale Belt"], 350, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Flamescale Boots"], 350, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Flamescale Leggings"], 350, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Enchanted Clefthoof Boots"], 350, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	ARL:addTradeSkill(BTS["Enchanted Clefthoof Gloves"], 350, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	ARL:addTradeSkill(BTS["Enchanted Clefthoof Leggings"], 350, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	ARL:addTradeSkill(BTS["Blastguard Belt"], 350, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Blastguard Boots"], 350, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Blastguard Pants"], 350, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Quiver of a Thousand Feathers"], 350, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Lower City"]), {BFAC["Lower City"]})
	ARL:addTradeSkill(BTS["Netherscale Ammo Pouch"], 350, ARL:ARL_AddReputation2(BFAC["Revered"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
	ARL:addTradeSkill(BTS["Drums of Restoration"], 350, ARL:ARL_AddReputation2(BFAC["Honored"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
	ARL:addTradeSkill(BTS["Heavy Clefthoof Leggings"], 355, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})
	ARL:addTradeSkill(BTS["Heavy Clefthoof Boots"], 355, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})
	ARL:addTradeSkill(BTS["Heavy Clefthoof Vest"], 360, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})
	ARL:addTradeSkill(BTS["Felstalker Bracer"], 360, ARL:ARL_AddReputation2(BFAC["Honored"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
	ARL:addTradeSkill(BTS["Felstalker Breastplate"], 360, ARL:ARL_AddReputation2(BFAC["Honored"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
	ARL:addTradeSkill(BTS["Drums of Battle"], 365, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})
	ARL:addTradeSkill(BTS["Nethercobra Leg Armor"], 365, ARL:ARL_AddReputation2(BFAC["Exalted"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
	ARL:addTradeSkill(BTS["Nethercleft Leg Armor"], 365, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})
	ARL:addTradeSkill(BTS["Drums of Panic"], 370, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Keepers of Time"]), {BFAC["Keepers of Time"]})
	ARL:addTradeSkill(BTS["Boots of Shackled Souls"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Ashtongue Deathsworn"]), {L["Raid"], BFAC["Ashtongue Deathsworn"]})
	ARL:addTradeSkill(BTS["Bracers of Shackled Souls"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Ashtongue Deathsworn"]), {L["Raid"], BFAC["Ashtongue Deathsworn"]})
	ARL:addTradeSkill(BTS["Waistguard of Shackled Souls"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Ashtongue Deathsworn"]), {L["Raid"], BFAC["Ashtongue Deathsworn"]})
	ARL:addTradeSkill(BTS["Greaves of Shackled Souls"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Ashtongue Deathsworn"]), {L["Raid"], BFAC["Ashtongue Deathsworn"]})
	ARL:addTradeSkill(BTS["Cloak of Darkness"], 375, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["The Violet Eye"]), {L["Raid"], BFAC["The Violet Eye"]})
	ARL:addTradeSkill(BTS["Redeemed Soul Cinch"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Ashtongue Deathsworn"]), {L["Raid"], BFAC["Ashtongue Deathsworn"]})
	ARL:addTradeSkill(BTS["Redeemed Soul Legguards"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Ashtongue Deathsworn"]), {L["Raid"], BFAC["Ashtongue Deathsworn"]})
	ARL:addTradeSkill(BTS["Redeemed Soul Moccasins"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Ashtongue Deathsworn"]), {L["Raid"], BFAC["Ashtongue Deathsworn"]})
	ARL:addTradeSkill(BTS["Redeemed Soul Wristguards"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Ashtongue Deathsworn"]), {L["Raid"], BFAC["Ashtongue Deathsworn"]})
	ARL:addTradeSkill(BTS["Shadowprowler's Chestguard"], 365, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Violet Eye"]), {L["Raid"], BFAC["The Violet Eye"]})

	-- Raid Drops
	ARL:addTradeSkillSpell(22727, 300, L["MOLTENCORE"], {L["Raid"]})
	ARL:addTradeSkillSpell(19093, 300, L["Onyxia Scale Cloak Obt"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Shoulders of Lightning Reflexes"], 375, L["BT/HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Hurricane Boots"], 375, L["SSC/TKBoE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Monsoon Belt"], 375, L["SSC/TKBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Belt of Deep Shadow"], 375, L["SSC/TKBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Belt of Natural Power"], 375, L["SSC/TKBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Belt of the Black Eagle"], 375, L["SSC/TKBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Boots of Natural Grace"], 375, L["SSC/TKBoE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Boots of the Crimson Hawk"], 375, L["SSC/TKBoE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Boots of Utter Darkness"], 375, L["SSC/TKBoE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Bracers of Renewed Life"], 375, L["BT/HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Shoulderpads of Renewed Life"], 375, L["BT/HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Living Earth Shoulders"], 375, L["BT/HYJALBoE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Living Earth Bindings"], 375, L["BT/HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Shoulders of Lightning Reflexes"], 375, L["BT/HYJALBoE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Bindings of Lightning Reflexes"], 375, L["BT/HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Swiftstrike Bracers"], 375, L["BT/HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Swiftstrike Shoulders"], 375, L["BT/HYJALBoE"], {L["Raid"]})
	ARL:addTradeSkillSpell(46132, 365, L["SunwellBoE"], {L["Raid"]})
	ARL:addTradeSkillSpell(46136, 365, L["SunwellBoE"], {L["Raid"]})
	ARL:addTradeSkillSpell(46137, 365, L["SunwellBoE"], {L["Raid"]})
	ARL:addTradeSkillSpell(46133, 365, L["SunwellBoP"], {L["Raid"]})
	ARL:addTradeSkillSpell(46139, 365, L["SunwellBoE"], {L["Raid"]})
	ARL:addTradeSkillSpell(46135, 365, L["SunwellBoP"], {L["Raid"]})
	ARL:addTradeSkillSpell(46134, 365, L["SunwellBoP"], {L["Raid"]})
	ARL:addTradeSkillSpell(46138, 365, L["SunwellBoE"], {L["Raid"]})

	-- Dragonscale Leatherworking
	ARL:addTradeSkillSpell(36076, 260, L["Trainer"], {BTS["Dragonscale Leatherworking"]})
	ARL:addTradeSkill(BTS["Golden Dragonstrike Breastplate"], 330, L["Trainer"], {BTS["Dragonscale Leatherworking"]})
	ARL:addTradeSkill(BTS["Ebon Netherscale Belt"], 375, L["Trainer"], {BTS["Dragonscale Leatherworking"]})
	ARL:addTradeSkill(BTS["Ebon Netherscale Bracers"], 375, L["Trainer"], {BTS["Dragonscale Leatherworking"]})
	ARL:addTradeSkill(BTS["Ebon Netherscale Breastplate"], 375, L["Trainer"], {BTS["Dragonscale Leatherworking"]})
	ARL:addTradeSkill(BTS["Netherstrike Belt"], 375, L["Trainer"], {BTS["Dragonscale Leatherworking"]})
	ARL:addTradeSkill(BTS["Netherstrike Bracers"], 375, L["Trainer"], {BTS["Dragonscale Leatherworking"]})
	ARL:addTradeSkill(BTS["Netherstrike Breastplate"], 375, L["Trainer"], {BTS["Dragonscale Leatherworking"]})

	-- Elemental Leatherworking
	ARL:addTradeSkillSpell(10630, 230, L["Trainer"], {BTS["Elemental Leatherworking"]})
	ARL:addTradeSkillSpell(10632, 250, L["Trainer"], {BTS["Elemental Leatherworking"]})
	ARL:addTradeSkillSpell(36074, 260, L["Trainer"], {BTS["Elemental Leatherworking"]})
	ARL:addTradeSkill(BTS["Primalstorm Breastplate"], 330, L["Trainer"], {BTS["Elemental Leatherworking"]})
	ARL:addTradeSkill(BTS["Primalstrike Belt"], 375, L["Trainer"], {BTS["Elemental Leatherworking"]})
	ARL:addTradeSkill(BTS["Primalstrike Bracers"], 375, L["Trainer"], {BTS["Elemental Leatherworking"]})
	ARL:addTradeSkill(BTS["Primalstrike Vest"], 375, L["Trainer"], {BTS["Elemental Leatherworking"]})

	-- Tribal Leatherworking
	ARL:addTradeSkillSpell(10621, 225, L["Trainer"], {BTS["Tribal Leatherworking"]})
	ARL:addTradeSkillSpell(10647, 250, L["Trainer"], {BTS["Tribal Leatherworking"]})
	ARL:addTradeSkillSpell(36075, 260, L["Trainer"], {BTS["Tribal Leatherworking"]})
	ARL:addTradeSkill(BTS["Living Crystal Breastplate"], 330, L["Trainer"], {BTS["Tribal Leatherworking"]})
	ARL:addTradeSkill(BTS["Windhawk Belt"], 375, L["Trainer"], {BTS["Tribal Leatherworking"]})
	ARL:addTradeSkill(BTS["Windhawk Bracers"], 375, L["Trainer"], {BTS["Tribal Leatherworking"]})
	ARL:addTradeSkill(BTS["Windhawk Hauberk"], 375, L["Trainer"], {BTS["Tribal Leatherworking"]})

end